### Method

# EDataServer SourceCollection set_identity

since: 3.6

#### Declaration [src]

    void
    e_source_collection_set_identity (
      ESourceCollection* extension,
      const gchar* identity
    )

#### Description [src]

Sets the string used to uniquely identify the user account at the service provider. Often this is an email address or user name.

The internal copy of `identity` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceCollection:identity`

#### Parameters

`identity`

  Type: `const gchar*`

  The collection identity, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.